package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class DrpOrderGoodsTotalVO {
   @ApiModelProperty("今日发起")
   private int today;
   @ApiModelProperty("累计发起")
   private int total;
   @ApiModelProperty("审批通过")
   private int approve;
   @ApiModelProperty("审批不通过")
   private int notApprove;
   @ApiModelProperty("今日订单总金额")
   private String todayAmount;
   @ApiModelProperty("审批通过订单总金额")
   private String approveAmount;

   public int getToday() {
      return this.today;
   }

   public int getTotal() {
      return this.total;
   }

   public int getApprove() {
      return this.approve;
   }

   public int getNotApprove() {
      return this.notApprove;
   }

   public String getTodayAmount() {
      return this.todayAmount;
   }

   public String getApproveAmount() {
      return this.approveAmount;
   }

   public void setToday(final int today) {
      this.today = today;
   }

   public void setTotal(final int total) {
      this.total = total;
   }

   public void setApprove(final int approve) {
      this.approve = approve;
   }

   public void setNotApprove(final int notApprove) {
      this.notApprove = notApprove;
   }

   public void setTodayAmount(final String todayAmount) {
      this.todayAmount = todayAmount;
   }

   public void setApproveAmount(final String approveAmount) {
      this.approveAmount = approveAmount;
   }


   public String toString() {
      int var10000 = this.getToday();
      return "DrpOrderGoodsTotalVO(today=" + var10000 + ", total=" + this.getTotal() + ", approve=" + this.getApprove() + ", notApprove=" + this.getNotApprove() + ", todayAmount=" + this.getTodayAmount() + ", approveAmount=" + this.getApproveAmount() + ")";
   }
}
